%define anolis_release 2
%global srcname html5lib

Name:           python-html5lib
Summary:        A python based HTML parser/tokenizer
Version:        1.1
Release:        %{anolis_release}%{?dist}
License:        MIT
URL:            https://github.com/html5lib/html5lib-python
Source:         %{pypi_source html5lib}
BuildArch:      noarch
BuildRequires:  python3-devel


%description
A python based HTML parser/tokenizer based on the WHATWG HTML5 
specification for maximum compatibility with major desktop web browsers.


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname}
A python based HTML parser/tokenizer based on the WHATWG HTML5 
specification for maximum compatibility with major desktop web browsers.

%package -n     python3-%{srcname}-doc
Summary:        Documentation files for %{srcname}

%description -n python3-%{srcname}-doc
This package contains documentation for developer documentation for %{srcname}.

%pyproject_extras_subpkg -n python3-html5lib lxml genshi chardet all


%prep
%autosetup -p1 -n %{srcname}-%{version}

# Use standard library unittest.mock instead of 3rd party mock
# From https://github.com/html5lib/html5lib-python/pull/536
sed -i 's/from mock import/from unittest.mock import/' html5lib/tests/test_meta.py


%generate_buildrequires
%pyproject_buildrequires -x all

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}


%files -n python3-%{srcname} -f %{pyproject_files}

%files -n python3-%{srcname}-doc
%doc CHANGES.rst README.rst


%changelog
* Thu Mar 14 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.1-2
- Rebuild with python3.11

* Mon Mar 27 2023 Ziyang Zhang <ZiyangZhang@linux.alibaba.com> - 1.1-1
- Init from upstream 1.1